exports.ids = [74];
exports.modules = {

/***/ 247:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(URL) {/* harmony default export */ __webpack_exports__["a"] = ({
  layout: "blank_layout",
  data() {
    return {
      mediaUrl: "",
      fileExtension: "",
      loading: true,
      type: null
    };
  },
  computed: {
    isImageType() {
      return this.type === 1 || this.type === 8 || this.isType(["jpg", "jpeg", "png", "gif", "bmp", "webp"]);
    },
    isVideoType() {
      return this.type === 5 || this.isType(["mp4", "webm", "ogg"]);
    },
    isAudioType() {
      return this.isType(["mp3", "wav", "ogg"]);
    },
    isPdfType() {
      return this.isType(["pdf"]);
    },
    isOtherType() {
      return !this.isImageType && !this.isVideoType && !this.isAudioType && !this.isPdfType;
    }
  },
  created() {
    this.$axios.get(`/uk-api/data/detail/${+this.$route.params.id}`).then(response => {
      const {
        media_url,
        type
      } = response.result;
      this.mediaUrl = media_url;
      this.type = type;
      const url = new URL(this.mediaUrl);
      this.fileExtension = url.pathname.split(".").pop().toLowerCase();
      this.loading = false;
    }).catch(error => {
      console.error("Fail:", error);
      this.loading = false;
    });
  },
  methods: {
    isType(types) {
      return types.includes(this.fileExtension);
    }
  }
});
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(58)["URL"]))

/***/ }),

/***/ 278:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 338:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_0d6475ee_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(278);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_0d6475ee_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_0d6475ee_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_0d6475ee_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_0d6475ee_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 388:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./pages/qrcode/_id.vue?vue&type=template&id=0d6475ee&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('div', [_vm._ssrNode(_vm.loading ? "<div class=\"page\" data-v-0d6475ee><p data-v-0d6475ee>Loading...</p></div>" : "<section class=\"page\" data-v-0d6475ee>" + (_vm.isImageType ? "<img" + _vm._ssrAttr("src", _vm.mediaUrl) + " alt=\"media\" class=\"media-item\" data-v-0d6475ee>" : "<!---->") + " " + (_vm.isVideoType ? "<video controls=\"controls\"" + _vm._ssrAttr("src", _vm.mediaUrl) + " class=\"media-item\" data-v-0d6475ee>\n      Your browser does not support the video tag.\n    </video>" : "<!---->") + " " + (_vm.isAudioType ? "<audio controls=\"controls\"" + _vm._ssrAttr("src", _vm.mediaUrl) + " class=\"media-item\" data-v-0d6475ee>\n      Your browser does not support the audio element.\n    </audio>" : "<!---->") + " " + (_vm.isPdfType ? "<iframe" + _vm._ssrAttr("src", _vm.mediaUrl) + " type=\"application/pdf\" width=\"100%\" height=\"100%\" class=\"media-item\" data-v-0d6475ee><p data-v-0d6475ee>The PDF cannot be displayed, please <a" + _vm._ssrAttr("href", _vm.mediaUrl) + " target=\"_blank\" data-v-0d6475ee>click here</a> to download.</p></iframe>" : "<!---->") + " " + (_vm.isOtherType ? "<div class=\"media-item\" data-v-0d6475ee><a" + _vm._ssrAttr("href", _vm.mediaUrl) + " target=\"_blank\" data-v-0d6475ee>" + _vm._ssrEscape(_vm._s(_vm.mediaUrl ? 'Download File' : 'No File')) + "</a></div>" : "<!---->") + "</section>")]);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./pages/qrcode/_id.vue?vue&type=template&id=0d6475ee&scoped=true

// EXTERNAL MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./pages/qrcode/_id.vue?vue&type=script&lang=js
var _idvue_type_script_lang_js = __webpack_require__(247);

// CONCATENATED MODULE: ./pages/qrcode/_id.vue?vue&type=script&lang=js
 /* harmony default export */ var qrcode_idvue_type_script_lang_js = (_idvue_type_script_lang_js["a" /* default */]); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./pages/qrcode/_id.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(338)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  qrcode_idvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "0d6475ee",
  "06a80a7f"
  
)

/* harmony default export */ var _id = __webpack_exports__["default"] = (component.exports);

/***/ })

};;
//# sourceMappingURL=_id.js.map